Subject: Throw exception when Repository->update() is called with a non-clone
Description

From the FLOW3 IRC channel:
wenn ich zum beispiel einen string ändern will muss ich ja $folder->setTitle(Text) anwenden und dann das
repository->update($folder)

This misunderstanding needs to be circumvented, a message should be given.

Associated revisions
Revision ef3edea7 - 2009-09-22 17:59 - Karsten Dambekalns

[+FEATURE] FLOW3 (Persistence): When calling update() with a non-clone an exception is thrown, resolves #4328.

History
#1 - 2009-09-21 22:54 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 5

#2 - 2009-09-22 18:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3207.
